> ## Documentation Index
> Fetch the complete documentation index at: https://docs.synack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a suspected vulnerability

> Update a specific suspected vulnerability's status



## OpenAPI

````yaml /monolith-v1-openapi.yaml patch /v1/suspected_vulnerabilities/{id}
openapi: 3.0.3
info:
  title: Synack API
  version: 2.0.0
  description: >
    Comprehensive API for Synack's security testing platform, providing
    endpoints for managing assessments, vulnerabilities, users, and security
    testing operations.
  contact:
    name: Synack Engineering
    email: engineering@synack.com
  license:
    name: Proprietary
servers:
  - url: https://api.synack.com
    description: Commercial - V1 API
  - url: https://api.synack.us
    description: FedRAMP (Medium) - V1 API
security:
  - BearerAuth: []
  - BasicAuth: []
  - ApiKeyAuth: []
tags:
  - name: Assessments
    description: Operations related to security assessments
  - name: Tests
    description: Operations related to security tests
  - name: Vulnerabilities
    description: Operations related to security vulnerabilities
  - name: Suspected Vulnerabilities
    description: Operations related to suspected vulnerabilities
  - name: Comments
    description: Operations related to comments
  - name: Patch Verifications
    description: Operations related to patch verifications
  - name: Users
    description: Operations related to users
  - name: Assessment Groups
    description: Operations related to assessment groups
  - name: Tags
    description: Operations related to tags
  - name: Vulnerability Statuses
    description: Operations related to vulnerability statuses
  - name: Listings
    description: Operations related to listings
paths:
  /v1/suspected_vulnerabilities/{id}:
    patch:
      tags:
        - Suspected Vulnerabilities
      summary: Update a suspected vulnerability
      description: Update a specific suspected vulnerability's status
      operationId: updateSuspectedVulnerability
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
          description: Suspected vulnerability ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - vulnerability_status_id
              properties:
                vulnerability_status_id:
                  type: integer
                  description: New vulnerability status ID
      responses:
        '200':
          description: Suspected vulnerability updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuspectedVulnerability'
        '400':
          description: Bad request
        '404':
          description: Suspected vulnerability not found
components:
  schemas:
    SuspectedVulnerability:
      type: object
      properties:
        id:
          type: integer
        asset_uid:
          type: string
        category_in_scope:
          type: boolean
        confidence:
          type: number
          format: float
        cvss_base:
          type: number
          format: float
        exploitable_locations:
          type: array
          items:
            type: string
        false_positive:
          type: boolean
        created_at:
          type: string
          format: date-time
        last_detected_at:
          type: string
          format: date-time
        payload:
          type: object
        reference_urls:
          type: array
          items:
            type: string
        severity:
          type: string
        source:
          type: string
        status:
          type: string
        vulnerability_status_id:
          type: integer
        reason_title:
          type: string
        reason_description:
          type: string
        organization_profile_id:
          type: integer
        automated_triage_status:
          type: string
        automated_triage_status_updated_at:
          type: string
          format: date-time
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    BasicAuth:
      type: http
      scheme: basic
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Auth

````